com.dlsc.flexgantt.swing.mac

## Class MacLayerFactory

- java.lang.Object
- - com.dlsc.flexgantt.swing.layer.DefaultLayerFactory
  - - com.dlsc.flexgantt.swing.mac.MacLayerFactory

- All Implemented Interfaces:
    ILayerFactory

      public class MacLayerFactory
      extends DefaultLayerFactory

  A specialized layer factory implementation for MacOS X. This factory creates a subclass of `TimeNowLayer` which draws the vertical time now line different than the default one.
  Since:
    2.0
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacLayerFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends AbstractSystemLayer> T` | `createSystemLayer(LayerContainer lc, Class<T> layerType)` Creates a new system layer.
    `static MacLayerFactory` | `getInstance()` Returns the singleton instance.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.layer.DefaultLayerFactory

      `createCustomLayer, createTimelineLayer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacLayerFactory

          public MacLayerFactory()

  - ### Method Detail

    - #### getInstance

          public static MacLayerFactory getInstance()

      Returns the singleton instance.
      Returns:
        a singleton instance
      Since:
        2.0

    - #### createSystemLayer

          public <T extends AbstractSystemLayer> T createSystemLayer(LayerContainer lc,
                                                                     Class<T> layerType)

      Description copied from interface: `ILayerFactory`
      Creates a new system layer. The creation of all system layer types must be supported (all subclasses of `AbstractSystemLayer`).
      Specified by:
        `createSystemLayer` in interface `ILayerFactory`
      Overrides:
        `createSystemLayer` in class `DefaultLayerFactory`
      Type Parameters:
        `T` - the type of the system layer
      Parameters:
        `lc` - the layer container, which will manage the layer
        `layerType` - the system layer class
      Returns:
        a system layer user interface component

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.